Get Hyperdrive
GET/accounts/{account_id}/hyperdrive/configs/{hyperdrive_id}
Returns the specified Hyperdrive configuration.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Get Hyperdrive
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/hyperdrive/configs/$HYPERDRIVE_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"name": "example-hyperdrive",
"origin": {
"database": "postgres",
"host": "database.example.com",
"port": 5432,
"scheme": "postgres",
"user": "postgres"
},
"caching": {
"disabled": true
},
"created_on": "2017-01-01T00:00:00Z",
"modified_on": "2017-01-01T00:00:00Z",
"mtls": {
"ca_certificate_id": "00000000-0000-0000-0000-0000000000",
"mtls_certificate_id": "00000000-0000-0000-0000-0000000000",
"sslmode": "verify-full"
},
"origin_connection_limit": 60
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"name": "example-hyperdrive",
"origin": {
"database": "postgres",
"host": "database.example.com",
"port": 5432,
"scheme": "postgres",
"user": "postgres"
},
"caching": {
"disabled": true
},
"created_on": "2017-01-01T00:00:00Z",
"modified_on": "2017-01-01T00:00:00Z",
"mtls": {
"ca_certificate_id": "00000000-0000-0000-0000-0000000000",
"mtls_certificate_id": "00000000-0000-0000-0000-0000000000",
"sslmode": "verify-full"
},
"origin_connection_limit": 60
},
"success": true
}